<div class="body-div">
    <h1>Nicht ohne Absprache mit Tassilo löschen!</h1>
    <p>Entwicklungsmöglichkeiten Frontend und ausprobierte Templates:</p>


      <!-- Dummy Tool   -->
    <div class="mat-grid-list" fxLayout="row wrap"  fxLayoutGap="30px" style="margin-bottom: 5%;">
        <mat-card class="orga-card">
            <mat-card-header>
              <div mat-card-avatar class="example-header-image"></div>
              <mat-card-title>Moritz Gebhardt</mat-card-title>
              <mat-card-subtitle>Grießeggstraße 7, 78462 Konstanz</mat-card-subtitle>
            </mat-card-header>
            <img class="mat-card-image" mat-card-image src="https://www.campstuff.de/pub/media/catalog/product/cache/74c1057f7991b4edb2bc7bdaa94de933/k/a/kampa_thor_club_hammer.jpg" alt="Hammer">
            <mat-card-content>
                <mat-card-title>Hammer</mat-card-title>
                <p>
                Das ist ja der Hammer!
                Der Hammer kann für alles verwendet werden.
                </p>
            </mat-card-content>
            <mat-card-actions>
                <button mat-raised-button (click)="openDialog()" color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent">
                    Kontaktdaten    
                </button>
            </mat-card-actions>
          </mat-card>


    
<!--Test mit Formulareingabe und Ausgabe-->
    <mat-label>Name</mat-label>
    <input type="text" [(ngModel)]="orgaName"  placeholder="Name">
    <input type="text" [(ngModel)]="orgaDescription" placeholder="Beschreibung">
    <!-- <input type="text"  id="name" name="name" placeholder="Name" [(value)]="orgaName"> -->

<button type="submit" class="btn btn-primary">Neue Organisation gründen</button>
    <br>
{{ orgaName }}
    <br>
    {{orgaDescription}}
    <br>
    
 <!-- Hartgecodete Kacheln für Beispielorganisationen-->
 <mat-grid-list cols = "4" rowHeight = "420px">
    <!-- 1 -->
    <mat-grid-tile [colspan] = "1" [rowspan] = "1">  
        <!--One mat-card contains:-->
        <mat-card class="orga-card" fxFlex="1 1 calc(20% - 20px)" fxLayout="column">     
            <img  class="mat-card-image" mat-card-image src="https://www.rnz.de/cms_media/module_img/580/290036_2_org_image_62e5f9b6249e3cf6.jpg" alt="Hammer">
            <mat-card-content >
                <mat-card-title fxLayoutAlign="center center">HTWG Konstanz</mat-card-title>
                <p >Hier können alle HTWG-Studis ihre Werkzeuge teilen. </p>
            </mat-card-content>
            <mat-card-actions fxFlexAlign="center">
                <button mat-raised-button  color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent" [routerLink]="['/organisation']" >
                    Zur Organisation   
                </button>
            </mat-card-actions>
        </mat-card>  
    </mat-grid-tile>

    <!-- 2 -->
    <mat-grid-tile [colspan] = "1" [rowspan] = "1">
        <!--One mat-card contains:-->
        <mat-card class="orga-card" >
            
            <img  class="mat-card-image" mat-card-image src="https://www.stuve.uni-konstanz.de/typo3temp/secure_downloads/107687/0/bb363740b16188c3c59371ad2dcc14fa14172ba8/csm_StuVe_Logo_188552d9da.png" alt="Hammer">
            
            <mat-card-content>
                <mat-card-title>Universität Konstanz</mat-card-title>
                <p>Hier können alle Studierende der Uni Konstanz ihre Werkzeuge teilen. </p>
            </mat-card-content>
        
            <mat-card-actions >
                <button mat-raised-button  color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent" [routerLink]="['/organisation']" style="margin-left:  145px;">
                    Zur Organisation   
                </button>
            </mat-card-actions>
        
          
        </mat-card>
    </mat-grid-tile>

    <!-- 3 -->
    <mat-grid-tile [colspan] = "1" [rowspan] = "1">
        
        <!--One mat-card contains:-->
        <mat-card class="orga-card">     
            <img class="mat-card-image" mat-card-image src="https://www.konstanz.de/site/Konstanz/get/params_E486985068/77390/B%C3%BCrgerb%C3%BCro%20VGL_1640_690.jpg" alt="Hammer">
            <mat-card-content>
                <mat-card-title>Bürgerbüro Konstanz</mat-card-title>
                <p>Auch das Bürgerbüro stellt verschiedene Dinge für Jedermann zur freien Verfügung. </p>
            </mat-card-content>
            <mat-card-actions>
                <button mat-raised-button  color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent" [routerLink]="['/organisation']" style="margin-left:  145px;">
                    Zur Organisation   
                </button>
            </mat-card-actions>
        </mat-card>
    </mat-grid-tile>

    <!-- 4 -->
    <mat-grid-tile [colspan] = "1" [rowspan] = "1">
        
        <!--One mat-card contains:-->
        <mat-card class="orga-card">     
            <img class="mat-card-image" mat-card-image src="https://www.gartenfreunde-konstanz.de/blume10_448_336.jpg" alt="Hammer">
            <mat-card-content>
                <mat-card-title>Gartenfreunde Konstanz</mat-card-title>
                <p>Garten-Tools des Vereins der Gartenfreude am Bismarckturm e.V. </p>
            </mat-card-content>
            <mat-card-actions>
                <button mat-raised-button  color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent" [routerLink]="['/organisation']" style="margin-left:  145px;">
                    Zur Organisation   
                </button>
            </mat-card-actions>
        </mat-card>
    </mat-grid-tile>
</mat-grid-list>


 <!--Versuch, innerhalb von mat-card mit mat-gird-list nochmal zwei Bereiche für Text und Bild zu erschaffen (Fehlgeschlagen, man sieht nichts)
 <mat-grid-list cols = "4" rowHeight = "420px">
        <mat-grid-tile [colspan] = "1" [rowspan] = "1">
            <mat-grid-list cols = "1" rowHeight = "420px">
                <mat-grid-tile [colspan] = "1" [rowspan] = "1">
                    <p>In der Vergangenheit</p>
                </mat-grid-tile>
                <mat-grid-tile [colspan] = "1" [rowspan] = "1">
                <p>Im hier und jetzt</p>
                </mat-grid-tile>
            </mat-grid-list>
        </mat-grid-tile>
 </mat-grid-list>
 -->


 <!-- Mat Grid List Versuche-->

<mat-grid-tile-header >
    <div class="div-mgt-header">
    <h2>Deine beigetretenen Organisationen:</h2>
    </div>
</mat-grid-tile-header>

<mat-grid-list cols = "3" rowHeight = "100px">
    <mat-grid-tile 
    [colspan] = "3"
    [rowspan] = "1">1
    <p>1 Experiment Mat-grid-list</p>
    </mat-grid-tile>
    <mat-grid-tile 
    [colspan] = "1"
    [rowspan] = "2">2
    <p>2 Organisation works!</p>
    </mat-grid-tile>
    <mat-grid-tile 
    [colspan] = "1"
    [rowspan] = "1">3
    </mat-grid-tile>
    <mat-grid-tile 
    [colspan] = "2"
    [rowspan] = "1">4
    </mat-grid-tile>
    <mat-grid-tile 
    [colspan] = "1"
    [rowspan] = "1">4
    </mat-grid-tile>
 </mat-grid-list>


<!-- Eingabe Input von Tutorial https://levelup.gitconnected.com/simple-application-with-angular-6-node-js-express-2873304fff0f 
<div class="container-fluid" style="margin: 5%;">
    <div class="row">
      <div class="col-xs-12">
        <h1>Registrierung:</h1>

        <form [formGroup]="userForm" (ngSubmit)="onSubmit()">

            <div class="form-group" [ngClass]="{ 'has-error': invalidFirstName() }"> 
                <label for="first_name" class="control-label">First Name</label>
                <input type="text" formControlName="first_name" class="form-control" id="first_name" name="first_name" placeholder="Martin">
                <p *ngIf="invalidFirstName()" id="first_name_error" class="help-block">Invalid first name.</p>
            </div>
        
            <div class="form-group" [ngClass]="{ 'has-error': invalidLastName() }"> 
                <label for="last_name" class="control-label">Last Name</label>
                <input type="text" formControlName="last_name" class="form-control" id="last_name" name="last_name" placeholder="Toha">
                <p *ngIf="invalidLastName()" id="last_name_error" class="help-block">Invalid last name.</p>
            </div>
        
            <div class="form-group" [ngClass]="{ 'has-error': invalidEmail() }"> 
                <label for="email" class="control-label">E-mail</label>
                <input type="text" formControlName="email" class="form-control" id="email" name="email" placeholder="your@email.com">
                <p *ngIf="invalidEmail()" id="email_error" class="help-block">Invalid email address.</p>
            </div>
        
            <div class="form-group" [ngClass]="{ 'has-error': invalidZipcode() }"> 
                <label for="zipcode" class="control-label">Zip Code</label>
                <input type="text" formControlName="zipcode" class="form-control" id="zipcode" name="zipcode" placeholder="#####">
                <p *ngIf="invalidZipcode()" id="zipcode_error" class="help-block">Invalid zip code.</p>
            </div>
        
            <div class="form-group" [ngClass]="{ 'has-error': invalidPassword() }"> 
                <label for="password" class="control-label">Password</label>
                <input type="password" formControlName="password" class="form-control" id="password" name="password" placeholder="*****">
                <p *ngIf="invalidPassword()" id="password_error" class="help-block">Invalid password.</p>
            </div>
            
            <div class="form-group has-error"> 
                <button type="submit" class="btn btn-primary">Register</button>
            </div>
        
        </form>

        
      </div>
    </div>
  </div>

-->

<!--Ausgabe Output von Tutorial https://levelup.gitconnected.com/simple-application-with-angular-6-node-js-express-2873304fff0f 
<legend>User Information</legend>
<div>
    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">GUID</label>
        <div class="col-xs-6">{{user.guid}}</div>
    </div>

    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">Customer UID</label>
        <div class="col-xs-6">{{user.customerUid}}</div>
    </div>

    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">First Name</label>
        <div class="col-xs-6">{{user.first_name}}</div>
    </div>

    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">Last Name</label>
        <div class="col-xs-6">{{user.last_name}}</div>
    </div>

    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">E-mail</label>
        <div class="col-xs-6">{{user.email}}</div>
    </div>

    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">Zip Code</label>
        <div class="col-xs-6">{{user.zipcode}}</div>
    </div>

    <div class="form-group row"> 
        <label class="col-xs-6 col-form-label">Password</label>
        <div class="col-xs-6">{{user.password}}</div>
    </div>

</div>	
-->

<!-- Moritz Versuch Werkzeug Forumular anlegen

    <mat-vertical-stepper #stepper>
    <mat-step>
      <form>
        <ng-template matStepLabel>Fill out your name</ng-template>
        <mat-form-field>
          <mat-label>Name</mat-label>
          <input matInput placeholder="Last name, First name" formControlName="firstCtrl" required>
        </mat-form-field>
        <div>
          <button mat-button matStepperNext>Next</button>
        </div>
      </form>
    </mat-step>
    <mat-step>
      <form >
        <ng-template matStepLabel>Fill out your address</ng-template>
        <mat-form-field>
          <mat-label>Address</mat-label>
          <input matInput formControlName="secondCtrl" placeholder="Ex. 1 Main St, New York, NY"
                 required>
        </mat-form-field>
        <div>
          <button mat-button matStepperPrevious>Back</button>
          <button mat-button matStepperNext>Next</button>
        </div>
      </form>
    </mat-step>
    <mat-step>
      <ng-template matStepLabel>Done</ng-template>
      <p>You are now done.</p>
      <div>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button (click)="stepper.reset()">Reset</button>
      </div>
    </mat-step>
  </mat-vertical-stepper>
-->

<!-- Links 
        <mat-grid-tile-footer>
            <div style="margin-left: 5%; margin-bottom: 50px;">
            <button mat-raised-button color="primary" [routerLink]="['/login']">Login</button><br><br>
            <button mat-raised-button color="primary" [routerLink]="['/registration']">Registrierung</button>
            </div>
        </mat-grid-tile-footer> -->
  <!--
    <div class="mat-grid-list" fxLayout="row wrap"  fxLayoutGap="30px" style="margin-bottom: 5%;">
        <mat-card class="orga-card">
            <mat-card-header>
              <div mat-card-avatar class="example-header-image"></div>
              <mat-card-title>Moritz Gebhardt</mat-card-title>
              <mat-card-subtitle>Grießeggstraße 7, 78462 Konstanz</mat-card-subtitle>
            </mat-card-header>
            <img class="mat-card-image" mat-card-image src="https://www.campstuff.de/pub/media/catalog/product/cache/74c1057f7991b4edb2bc7bdaa94de933/k/a/kampa_thor_club_hammer.jpg" alt="Hammer">
            <mat-card-content>
                <mat-card-title>Hammer</mat-card-title>
                <p>
                Das ist ja der Hammer!
                Der Hammer kann für alles verwendet werden.
                </p>
            </mat-card-content>
            <mat-card-actions>
                <button mat-raised-button color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent">
                    Kontaktdaten    
                </button>
            </mat-card-actions>
          </mat-card>

  -->






</div>


  